For the complete documentation index, see llms.txt.
Orders
Create, search, update, tag, archive, restore, and list orders before shipping.
18 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/summary?order_status=shipped
Details
Get a summary of orders by status
Request Parameters
Order Summary Response
Response examples
List Orders Summary (200)
{
"orders": [
{
"order_id": 400000001,
"order_number": "1419",
"contact_name": "Test test",
"country": "Australia",
"state": "NSW",
"order_type": "Outgoing",
"platform": "WooCommerce",
"integration_id": 25,
"order_status": 10,
"carrier": "MyPostBusiness",
"product": "B20",
"weight": 0,
"weight_unit": "kg",
"valid_address": true,
"quantity": "",
"skus": "",
"items": "",
"soh": "",
"manifest_number": 2630833,
"manifest_sent": true,
"writeback_status": "Up to date",
"order_date": "2024-04-14T23:44:45",
"shipped_date": "2024-04-18T04:43:49.9777195"
}
],
"order_counts": {
"unprinted_count": 248,
"printed_count": 62,
"shipped_count": 68,
"archived_count": 956,
"archived_unshipped_count": 0,
"archived_shipped_count": 956,
"unprinted_invalidaddress_count": 14,
"return_count": 17
},
"success": true
}Complex filtering example (200)
{
"orders": [
{
"order_id": 424687615,
"order_number": "#1129",
"contact_name": "test test",
"country": "Australia",
"state": "NSW",
"order_type": "Outgoing",
"platform": "Shopify",
"integration_id": 557383,
"order_status": "Delivered",
"carrier": "PlainLabel",
"product": "Plain Label",
"weight": 0,
"weight_unit": "kg",
"valid_address": true,
"quantity": "",
"skus": "",
"items": "",
"soh": "",
"manifest_number": 0,
"manifest_sent": true,
"writeback_status": "Up to date",
"tracking_status": "Delivered",
"order_date": "2024-04-23T22:45:48",
"shipped_date": "2024-04-29T02:04:16.5098323"
}
],
"order_counts": {
"unprinted_count": 248,
"printed_count": 62,
"shipped_count": 68,
"archived_count": 956,
"archived_unshipped_count": 0,
"archived_shipped_count": 956,
"unprinted_invalidaddress_count": 14,
"return_count": 17
},
"success": true
}Related endpoints
List Orders (Unshipped)GET /api/orders/unshippedList Orders (Printed or Unmanifested)GET /api/orders/shipmentsList Orders (Shipped)GET /api/orders/shippedList Orders (Delivered)GET /api/orders/deliveredSearch OrdersGET /api/orders/searchGet Order(s)GET /api/ordersCreate OrderPOST /api/ordersCreate OrdersPOST /api/orders/importUpdate OrderPUT /api/ordersUpdate OrdersPUT /api/orders/updateBatch Update OrdersPUT /api/orders/batchupdateDelete OrderDELETE /api/orders/deleteArchive OrderPOST /api/orders/archiveRestore OrderPOST /api/orders/restoreMerge OrdersPOST /api/orders/mergeGet Suggested MergesGET /api/orders/mergeableAssign OrdersPOST /api/orders/assign